;; 1. Based on: 
;; 2. Description: ADVAN2: Simultaneous IV and Oral
;; 3. Label:
;; x1. Author: RZ

$PROBLEM Simultaneous modeling IV and IG data
$INPUT ID RTE TIME DV AMT CMT MDV EVID
$DATA iv-oral-data.csv IGNORE=@

$SUBROUTINES ADVAN2 TRANS2

$PK
CL = THETA(1) * EXP(ETA(1))
V  = THETA(2) * EXP(ETA(2))
KA = THETA(3) * EXP(ETA(3))
F1 = THETA(4) * EXP(ETA(4))
S2 = V

$ERROR
    Y = F + EPS(1)

$THETA
(30) ; CL(mL/h)
(300) ; V(mL)
(1.5) ; KA(1/h)
(0, .8, 1) ; F1

$OMEGA
(0 FIX) ; IIV CL
(0 FIX) ; IIV V
(0 FIX) ; IIV KA
(0 FIX) ; IIV F1

$SIGMA
.01; Error

$EST METHOD=0 MAXEVAL=2000 NOABORT SIG=3 PRINT=1 POSTHOC
$COV

; Xpose
$TABLE ID RTE TIME DV MDV EVID ONEHEADER NOPRINT FILE=sdtab000.tab
$TABLE CL V KA F1 ONEHEADER NOPRINT FILE=patab000.tab

